/*
 * Class EV_APPLICATION_ACTION_SEQUENCES_IMP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_411 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_411 [] = {0xFF01,1551,410,0xFFFF};
static const EIF_TYPE_INDEX egt_2_411 [] = {0xFF01,410,0xFFFF};
static const EIF_TYPE_INDEX egt_3_411 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_411 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_411 [] = {0xFF01,410,0xFFFF};
static const EIF_TYPE_INDEX egt_6_411 [] = {0xFF01,410,0xFFFF};
static const EIF_TYPE_INDEX egt_7_411 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_411 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_411 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_411 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_411 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_411 [] = {0xFF01,410,0xFFFF};
static const EIF_TYPE_INDEX egt_13_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_14_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_411 [] = {0xFF01,1567,0xFF01,1548,0xFF01,0,0xFF01,0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_17_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_411 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_19_411 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_20_411 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_21_411 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_22_411 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_23_411 [] = {0xFF01,630,0xFFFF};
static const EIF_TYPE_INDEX egt_24_411 [] = {0xFF01,649,0xFFFF};
static const EIF_TYPE_INDEX egt_25_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,1578,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_26_411 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,489,0xFFFF};
static const EIF_TYPE_INDEX egt_27_411 [] = {0xFF01,649,0xFFFF};
static const EIF_TYPE_INDEX egt_28_411 [] = {0xFF02,649,0xFFFF};
static const EIF_TYPE_INDEX egt_29_411 [] = {0xFF02,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,1578,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_30_411 [] = {0xFF02,1583,0xFF01,0xFFF9,1,840,0xFF01,489,0xFFFF};
static const EIF_TYPE_INDEX egt_31_411 [] = {0xFF01,1583,0xFF01,0xFFF9,3,840,0xFF01,1010,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_32_411 [] = {0xFF01,1583,0xFF01,0xFFF9,3,840,0xFF01,1010,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_33_411 [] = {1583,0xFF01,0xFFF9,3,840,0xFF01,1010,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_34_411 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_35_411 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_36_411 [] = {1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_37_411 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_38_411 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_39_411 [] = {1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_40_411 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_41_411 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_42_411 [] = {1583,0xFF01,0xFFF9,4,840,0xFF01,1010,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_43_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,869,0xFFFF};
static const EIF_TYPE_INDEX egt_44_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,869,0xFFFF};
static const EIF_TYPE_INDEX egt_45_411 [] = {1583,0xFF01,0xFFF9,2,840,0xFF01,1010,869,0xFFFF};
static const EIF_TYPE_INDEX egt_46_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_47_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_48_411 [] = {1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_49_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_50_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_51_411 [] = {1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_52_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_53_411 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_54_411 [] = {1583,0xFF01,0xFFF9,2,840,0xFF01,1010,0xFF01,1291,0xFFFF};
static const EIF_TYPE_INDEX egt_55_411 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1010,0xFFFF};
static const EIF_TYPE_INDEX egt_56_411 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1010,0xFFFF};
static const EIF_TYPE_INDEX egt_57_411 [] = {1583,0xFF01,0xFFF9,1,840,0xFF01,1010,0xFFFF};
static const EIF_TYPE_INDEX egt_58_411 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1010,0xFFFF};
static const EIF_TYPE_INDEX egt_59_411 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,1010,0xFFFF};
static const EIF_TYPE_INDEX egt_60_411 [] = {1583,0xFF01,0xFFF9,1,840,0xFF01,1010,0xFFFF};
static const EIF_TYPE_INDEX egt_61_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_62_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_63_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_64_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_65_411 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_66_411 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_411[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_411), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_411), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_411), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_411), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_411), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_411), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_411), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_411), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_411), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_411), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_411), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_411), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0335 /*410*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_411), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_411), 7106, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_411), 7140, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7107, 0},
	{EIF_GENERIC(egt_15_411), 7108, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_411), 7109, 4},
	{EIF_GENERIC(egt_17_411), 7141, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7110, 8},
	{EIF_GENERIC(egt_18_411), 7111, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_411), 7142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04ED /*630*/), 7112, 12},
	{EIF_GENERIC(egt_20_411), 7113, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_411), 7143, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04ED /*630*/), 7114, 16},
	{EIF_GENERIC(egt_22_411), 7115, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_411), 7144, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04ED /*630*/), 7116, 20},
	{EIF_GENERIC(egt_24_411), 7117, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_411), 7118, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_411), 7119, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_411), 7145, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_411), 7120, 24},
	{EIF_GENERIC(egt_29_411), 7121, 28},
	{EIF_GENERIC(egt_30_411), 7122, 32},
	{EIF_GENERIC(egt_31_411), 7123, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_411), 7146, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_411), 7124, 36},
	{EIF_GENERIC(egt_34_411), 7125, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_411), 7147, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_411), 7126, 40},
	{EIF_GENERIC(egt_37_411), 7127, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_411), 7148, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_411), 7128, 44},
	{EIF_GENERIC(egt_40_411), 7129, 0xFFFFFFFF},
	{EIF_GENERIC(egt_41_411), 7149, 0xFFFFFFFF},
	{EIF_GENERIC(egt_42_411), 7130, 48},
	{EIF_GENERIC(egt_43_411), 7131, 0xFFFFFFFF},
	{EIF_GENERIC(egt_44_411), 7150, 0xFFFFFFFF},
	{EIF_GENERIC(egt_45_411), 7132, 52},
	{EIF_GENERIC(egt_46_411), 7133, 0xFFFFFFFF},
	{EIF_GENERIC(egt_47_411), 7151, 0xFFFFFFFF},
	{EIF_GENERIC(egt_48_411), 7134, 56},
	{EIF_GENERIC(egt_49_411), 7135, 0xFFFFFFFF},
	{EIF_GENERIC(egt_50_411), 7152, 0xFFFFFFFF},
	{EIF_GENERIC(egt_51_411), 7136, 60},
	{EIF_GENERIC(egt_52_411), 7137, 0xFFFFFFFF},
	{EIF_GENERIC(egt_53_411), 7153, 0xFFFFFFFF},
	{EIF_GENERIC(egt_54_411), 7138, 64},
	{EIF_GENERIC(egt_55_411), 7139, 0xFFFFFFFF},
	{EIF_GENERIC(egt_56_411), 7154, 0xFFFFFFFF},
	{EIF_GENERIC(egt_57_411), 7097, 68},
	{EIF_GENERIC(egt_58_411), 7098, 0xFFFFFFFF},
	{EIF_GENERIC(egt_59_411), 7155, 0xFFFFFFFF},
	{EIF_GENERIC(egt_60_411), 7099, 72},
	{EIF_GENERIC(egt_61_411), 7100, 0xFFFFFFFF},
	{EIF_GENERIC(egt_62_411), 7156, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7101, 76},
	{EIF_GENERIC(egt_63_411), 7102, 0xFFFFFFFF},
	{EIF_GENERIC(egt_64_411), 7157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7103, 80},
	{EIF_GENERIC(egt_65_411), 7104, 0xFFFFFFFF},
	{EIF_GENERIC(egt_66_411), 7158, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 7105, 84},
};
void Init411(void)
{
	IDSC(desc_411, 0, 410);
	IDSC(desc_411 + 1, 1, 410);
	IDSC(desc_411 + 32, 834, 410);
}


#ifdef __cplusplus
}
#endif
